#!/bin/bash

req_file="/etc/ansiblepulldeploy/requirements.yml"
ansible_galaxy_command="/usr/bin/ansible-galaxy"
counter=0
max_counter=20

source /etc/ansiblepulldeploy/ansiblepulldeploy.conf

if [[ "$on_repoupdate" =~ [Tt]rue ]]; then
    ansible_pull_options="${ansible_pull_options} --only-if-changed"
fi

if [[ "$gpg_verify" =~ [Tt]rue ]]; then
    ansible_pull_options="${ansible_pull_options} --verify-commit"
fi

if [[ "$accept_host_key" =~ [Tt]rue ]]; then
    ansible_pull_options="${ansible_pull_options} --accept-host-key"
fi

if [ "$deploy_key" != "" ]; then
    ansible_pull_options="${ansible_pull_options} --private-key $deploy_key"
fi

if [ "$vault_password_file" != "" ]; then
    ansible_pull_options="${ansible_pull_options} --vault-password-file $vault_password_file"
fi

if [ "$branch" != "" ]; then
    ansible_pull_options="${ansible_pull_options} --checkout $branch"
fi

ansible_pull_command="ansible-pull ${ansible_pull_options} --url ${git_url}"

function ag_dependencies() {
    # install dependencies wit ansible-galaxy
    if test -f "$req_file"; then
    echo "Install dependencies from ansible-galaxy"
    $ansible_galaxy_command install -r $req_file
    fi 
}

# loop - waiting for network connection
while [ $counter -lt $max_counter ]; do
    ping -c 1 mdm.datenkollektiv.net && break
    ((counter++))
    sleep $(( $counter * 30 ))
done

    ag_dependencies
    $ansible_pull_command && exit 0

exit 0
